uk.gov.hmrc

# logging

#### package logging

Visibility

1. Public
2. All

### Type Members

1. #### case class LogEntry(prefix: String, message: String, args: Seq[AnyRef], throwable: Option[Throwable]) extends Product with Serializable

2. #### class LoggerFacade extends SimpleLogger

   Main adapter for SLF4J.

   Main adapter for SLF4J. Wire this in via DI.

3. #### trait SimpleLogger extends AnyRef

   Logging interface to be injected into classes that use logging.

4. #### class StubLogger extends SimpleLogger

   Captures log events for unit testing.

   Captures log events for unit testing. Thread-safe.

### Value Members

1. #### object BlackHole extends SimpleLogger

   Sinks all messages written to it.

2. #### object Stdout extends SimpleLogger

   Logger to stdout for command-line apps.

### Ungrouped